Initiates a single-turn interaction with the CES agent within a session.
HTTP request
POST https://ces.googleapis.com/v1/{config.session=projects/*/locations/*/apps/*/sessions/*}:runSession
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
config.session |
Required. The unique identifier of the session. Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "config": { "session": string, "inputAudioConfig": { "audioEncoding": enum ( |
| Fields | |
|---|---|
config.inputAudioConfig |
Optional. Configuration for processing the input audio. |
config.outputAudioConfig |
Optional. Configuration for generating the output audio. |
config.historicalContexts[] |
Optional. The historical context of the session, including user inputs, agent responses, and other messages. Typically, CES agent would manage session automatically so client doesn't need to explicitly populate this field. However, client can optionally override the historical contexts to force the session start from certain state. |
config.entryAgent |
Optional. The entry agent to handle the session. If not specified, the session will be handled by the |
config.deployment |
Optional. The deployment of the app to use for the session. Format: |
config.timeZone |
Optional. The time zone of the user. If provided, the agent will use the time zone for date and time related variables. Otherwise, the agent will use the time zone specified in the App.time_zone_settings. The format is the IANA Time Zone Database time zone, e.g. "America/Los_Angeles". |
config.useToolFakes |
Optional. Whether to use tool fakes for the session. If this field is set, the agent will attempt use tool fakes instead of calling the real tools. |
config.remoteDialogflowQueryParameters |
Optional. QueryParameters to send to the remote Dialogflow agent when the session control is transferred to the remote agent. |
config.enableTextStreaming |
Optional. Whether to enable streaming text outputs from the model. By default, text outputs from the model are collected before sending to the client. NOTE: This is only supported for text (non-voice) sessions via |
inputs[] |
Required. Inputs for the session. |
Response body
If successful, the response body contains an instance of RunSessionResponse.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/ces
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the session resource:
ces.sessions.runSession
For more information, see the IAM documentation.